libzypp 17.37.10

checksumwf.h File Reference
`#include <zypp-core/zyppng/async/AsyncOp>`
`#include <zypp-core/zyppng/pipelines/Expected>`
`#include <functional>`
`#include <zypp/ng/workflows/contextfacade.h>`
`#include <zypp/ng/workflows/mediafacade.h>`

Go to the source code of this file.

## Classes
class | zypp::Pathname
| Pathname. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::filesystem
| Types and functions for filesystem operations.
namespace | zyppng
namespace | zyppng::CheckSumWorkflow

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (Context)
expected< void > | zyppng::CheckSumWorkflow::verifyChecksum (SyncContextRef zyppCtx, zypp::CheckSum checksum, zypp::Pathname file)
AsyncOpRef< expected< void > > | zyppng::CheckSumWorkflow::verifyChecksum (ContextRef zyppCtx, zypp::CheckSum checksum, zypp::filesystem::Pathname file)
std::function< AsyncOpRef< expected< ProvideRes > >(ProvideRes &&)> | zyppng::CheckSumWorkflow::checksumFileChecker (ContextRef zyppCtx, zypp::CheckSum checksum)
std::function< expected< SyncProvideRes >(SyncProvideRes &&)> | zyppng::CheckSumWorkflow::checksumFileChecker (SyncContextRef zyppCtx, zypp::CheckSum checksum)